Update a connection for an application
put
/epm/rest/v1/applications/{applicationId}/connections/{connectionId}
Request
Supported Media Types
- application/json
Path Parameters
-
applicationId(required): string(uuid)
-
connectionId(required): string(uuid)
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}
The updated details of the connection
Root Schema : UpdateApplicationConnectionCommandJson
Type:
Show Source
object-
connectionDetails(required):
object UpdateApplicationConnectionDetailsCommandJson
Updates an application connection. Prefer 'authDetails' with type BASIC, OAUTH, or JWT_OAUTH.Legacy fields are deprecated and retained for compatibility.
-
description(required):
string
Description of the application connection.
-
name(required):
string
Name of the application connection
-
primary:
boolean
Boolean flag to specify if this connection is the primary connection for the application
Nested Schema : UpdateApplicationConnectionDetailsCommandJson
Type:
objectUpdates an application connection. Prefer 'authDetails' with type BASIC, OAUTH, or JWT_OAUTH.Legacy fields are deprecated and retained for compatibility.
Show Source
-
accessToken:
string
Deprecated: use authDetails.accessToken (OAUTH).
-
authDetails(required):
object ApplicationConnectionAuthDetails
Discriminator:
authTypeAuthentication details for an application connection. Use 'authType' = BASIC or OAUTH or JWT_OAUTH. EPM connections using BASIC Authentication require: "authType", the authentication type for the connection, use BASIC "url", the URL for the connection, "identityDomain", the identity domain for the connection, "username", the username for the connection, "password", the password for the connection. Leave blank to use the already stored password. "folder", the default folder in the EPM inbox EPM connections using OAUTH Authentication require: "authType", the authentication type for the connection, use OAUTH "url", the URL for the connection, "clientId", the client Id for the connection. Leave blank to use the already client Id. "accessToken", the access token for the connection. Leave blank to use the already stored access token. "refreshToken", the refresh token for the connection. Leave blank to use the already refresh token. "folder", the folder in the EPM inbox FCGL Application connections using BASIC Authentication require: "authType", the authentication type for the connection, use BASIC "url", the URL for the connection, "username", the username for the connection, "password", the password for the connection. Leave blank to use the already stored password. "identityDomain", the identity domain for the connection, FCGL Application connections using OAUTH Authentication require: "authType", the authentication type for the connection, use JWT_OAUTH "url", the ERP Application URL for the connection, "idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token, "clientId", Client ID for the connection, "scope", provides a method to govern the amount of access that is granted to a JSON Web Token, "certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS, "privateKeyFileId", the file Id of the private key temp file uploaded for the connection. -
clientId:
string
Deprecated: use authDetails.clientId (OAUTH).
-
domain:
string
Deprecated: use authDetails.domain (BASIC).
-
password:
string
Deprecated: use authDetails.password (BASIC).
-
refreshToken:
string
Deprecated: use authDetails.refreshToken (OAUTH).
-
url(required):
string
The updated target url of the connection.
-
username:
string
Deprecated: use authDetails.username (BASIC).
Nested Schema : ApplicationConnectionAuthDetails
Type:
objectDiscriminator:
authTypeAuthentication details for an application connection. Use 'authType' = BASIC or OAUTH or JWT_OAUTH.
EPM connections using BASIC Authentication require:
"authType", the authentication type for the connection, use BASIC
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", the password for the connection. Leave blank to use the already stored password.
"folder", the default folder in the EPM inbox
EPM connections using OAUTH Authentication require:
"authType", the authentication type for the connection, use OAUTH
"url", the URL for the connection,
"clientId", the client Id for the connection. Leave blank to use the already client Id.
"accessToken", the access token for the connection. Leave blank to use the already stored access token.
"refreshToken", the refresh token for the connection. Leave blank to use the already refresh token.
"folder", the folder in the EPM inbox
FCGL Application connections using BASIC Authentication require:
"authType", the authentication type for the connection, use BASIC
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection. Leave blank to use the already stored password.
"identityDomain", the identity domain for the connection,
FCGL Application connections using OAUTH Authentication require:
"authType", the authentication type for the connection, use JWT_OAUTH
"url", the ERP Application URL for the connection,
"idcsTokenUrl", Provider authentication server used to exchange an authorization code for an access token,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key temp file uploaded for the connection.
Show Source
-
authType:
string
Read Only:
true
Response
Supported Media Types
- application/json
200 Response
Application Connection updated
Root Schema : Connection
Type:
Show Source
object-
connectionDetails:
string
Read Only:
trueA string containing a json representation of the connection details -
connectionInfo:
object ConnectionInfo
-
description:
string
Read Only:
trueThe description of the connection -
id:
string(uuid)
Read Only:
true -
links:
array links
Read Only:
true -
name:
string
Read Only:
trueThe name of the connection -
primary:
boolean
A flag indicating if this is the primary connection for this application
Nested Schema : ConnectionInfo
Type:
Show Source
object-
accessToken:
string
Read Only:
trueA placeholder value for the connection's access token -
certificateAlias:
string
Read Only:
trueA placeholder value for the connection's Certificate Alias -
clientId:
string
Read Only:
trueA placeholder value for the connection's clientId -
domain:
string
The identity domain for the connection
-
idcsTokenUrl:
string
Read Only:
trueA placeholder value for the connection's IDCS Token Url -
password:
string
Read Only:
trueA placeholder value for the connection's password -
privateKeyFileId:
string(uuid)
Read Only:
trueA placeholder value for the connection's private key File Id -
refreshToken:
string
Read Only:
trueA placeholder value for the connection's refresh token -
scope:
string
Read Only:
trueA placeholder value for the connection's Scope -
url:
string
Read Only:
trueThe target url of the connection -
username:
string
Read Only:
trueThe user name to authenticate the connection
400 Response
Error in body
404 Response
Application Connection not found
Examples
The following example shows how to update the details of a specific application connection by using a put request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X PUT -H 'Content-Type: application/json' @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77
Example of Request Body
The following shows an example of the request body in JSON format.
{
"name": "Production",
"description": "Production Pod",
"primary": true,
"connectionDetails": {
"url": "https://servername.fa.us2.oraclecloud.com",
"authDetails" : {
"authType" : "BASIC",
"username": "epm_default_cloud_admin",
"password": "password",
"domain": ""
}
}
}
Example of Response Body
The following shows an example of the response body in JSON format.
{
"id": "ea2328ed-48d3-45dd-b033-fc447a5e2a77",
"name": "Production",
"description": "Production Pod",
"connectionDetails": "{\"url\":\"https://servername.fa.us2.oraclecloud.com\",\"domain\":\"\",\"authDetails\":{\"username\":\"epm_default_cloud_admin\",\"password\":\"daa64d99-9c88-4109-a75b-c9756b7d0796\",\"authType\":\"BASIC\"}}",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77"
},
{
"rel": "edit",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77",
"method": "PUT"
},
{
"rel": "testConnection",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77/test",
"method": "POST"
},
{
"rel": "connectionResources",
"href": "https://servername.fa.us2.oraclecloud.com/epm/rest/v1/applications/e63e92c4-4727-4999-97f2-50498cb40ec7/connections/ea2328ed-48d3-45dd-b033-fc447a5e2a77/resources",
"templated": true,
"method": "GET"
}
],
"connectionInfo": {
"url": "https://servername.fa.us2.oraclecloud.com",
"username": "epm_default_cloud_admin",
"password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
"domain": ""
},
"primary": true
}